GetTopoGeomElements
Prev | 10.11. TopoGeometry Accessors | Next

## Name

GetTopoGeomElements — Returns a set of `topoelement` objects containing the topological element_id,element_type of the given TopoGeometry (primitive elements).

## Synopsis

`setof topoelement GetTopoGeomElements(`varchar toponame, integer layer_id, integer tg_id`)`;

`setof topoelement GetTopoGeomElements(`topogeometry tg`)`;

## Description

Returns a set of element_id,element_type (topoelements) corresponding to primitive topology elements TopoElement (1: nodes, 2: edges, 3: faces) that a given topogeometry object in `toponame` schema is composed of.

tg_id is the topogeometry id of the topogeometry object in the topology in the layer denoted by `layer_id` in the topology.layer table.

Availability: 2.0.0

## Examples

## See Also

GetTopoGeomElementArray, TopoElement, TopoGeom_addElement, TopoGeom_remElement

Prev | Up | Next
GetTopoGeomElementArray | Home | ST_SRID